Subject: env command does not work correctly.
From: [email-masked] (Fabio Somenzi)

3 Apr 1997 23:28:58 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <Pine.LNX.3.91.970403090237.294B-100000@localhost>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Original-To: "John D. Robertson" <[email-masked]>
Original-CC: [email-masked]
In-Reply-To: <Pine.LNX.3.91.970403090237.294B-100000@localhost>
Original-Sender: [email-masked]

>>>>> "JDR" == John D Robertson <[email-masked]> writes:

 JDR> Platform: Win95 / Intel Release: B17.1

 JDR> The "env" command does not set environmental variables as it is
 JDR> supposed to.  For example:

 JDR>    env ONE=one TWO=two echo_1_2

 JDR> where echo_1_2 is a sh script:

env is a command typically used in csh-like shells. With bash, you
can just say:

  ONE=one TWO=two echo_1_2

Under Linux, env works fine with both tcsh and bash.  I haven't tried
env with cygwin---I wasn't even aware of its inclusion---and right now
I have no access to my Win95 laptop. But it looks like a bug.

Fabio

-- 
Fabio Somenzi          | Phone: 303-492-3466
University of Colorado | Fax:   303-492-2758
ECE Dept.              | Email: [email-masked]
Boulder CO 80309-0425  | WWW:   http://vlsi.colorado.edu/~fabio
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".